Get Users
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/admin/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "7a958af1-7ac9-4e81-99dc-03fe24e54ed1",
"tradename": "SIN_TRADENAME",
"status": "PENDING",
"registerDate": "2026-06-23T00:12:49.624259",
"lastAccess": "2026-06-23T00:12:49.624259",
"identificationType": "CC",
"identificationNro": "1000000001",
"contactData": [],
"metadata": []
},
{
"id": "52e2e9d8-57cd-4212-9670-57bcb9bd23f5",
"tradename": "SIN_TRADENAME",
"status": "PENDING",
"registerDate": "2026-06-24T13:59:52.842427",
"lastAccess": "2026-06-24T13:59:52.842427",
"identificationType": "CC",
"identificationNro": "1000000002",
"contactData": [],
"metadata": []
},
{
"id": "ad670255-4909-4aef-82da-bd7301126e60",
"tradename": "SIN_TRADENAME",
"status": "PENDING",
"registerDate": "2026-06-25T11:42:33.929052",
"lastAccess": "2026-06-25T11:42:33.929052",
"identificationType": "CC",
"identificationNro": "1000000003",
"contactData": [],
"metadata": []
},
{
"id": "56cd53ac-9d03-412b-a526-71fe19e3690c",
"tradename": "SIN_TRADENAME",
"status": "PENDING",
"registerDate": "2026-06-30T09:34:22.529364",
"lastAccess": "2026-06-30T09:34:22.529364",
"identificationType": "NIT",
"identificationNro": "1000000004",
"contactData": [],
"metadata": []
},
{
"id": "e42a107c-53d8-4950-8458-9a76da866572",
"tradename": "SIN_TRADENAME",
"status": "PENDING",
"registerDate": "2026-07-02T00:12:30.347936",
"lastAccess": "2026-07-02T00:12:30.347936",
"identificationType": "CC",
"identificationNro": "1000000005",
"contactData": [],
"metadata": []
},
{
"id": "ed0e63ed-de0a-4db7-8048-3648090d21d2",
"tradename": "SIN_TRADENAME",
"status": "APPROVED",
"registerDate": "2026-06-30T23:13:21.236939",
"lastAccess": "2026-06-30T23:13:21.236939",
"identificationType": "CC",
"identificationNro": "1000000006",
"contactData": [],
"metadata": [
{
"name": "TERMS VERSION",
"value": "2.0.0"
},
{
"name": "POLICY VERSION",
"value": "1.0.0"
}
]
}
],
"total": 8,
"page": null,
"pageSize": null,
"orderBy": null,
"orderDirection": null
}Users
Get Users
Retrieves the list of users registered, including their current status and basic information.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | The access token that authenticates the request. |
Response Body
The response for this request is a JSON object containing an items array. Each item in the array represents a registered user and includes the following fields
| Field | Description |
|---|---|
| id | Unique identifier assigned to the user by Kravata. |
| tradename | User’s full name or display name. |
| status | Current compliance status of the user. |
| registerDate | Date and time when the user was registered. |
| lastAccess | Date and time of the user’s last access. |
| identificationType | Type of identification document associated with the user |
| identificationNro | Identification document number of the user. |
| contactData | List of the user’s registered contact methods. |
| metadata | List of additional metadata associated with the user. |
GET
/
api
/
v1
/
admin
/
users
Get Users
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/admin/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "7a958af1-7ac9-4e81-99dc-03fe24e54ed1",
"tradename": "SIN_TRADENAME",
"status": "PENDING",
"registerDate": "2026-06-23T00:12:49.624259",
"lastAccess": "2026-06-23T00:12:49.624259",
"identificationType": "CC",
"identificationNro": "1000000001",
"contactData": [],
"metadata": []
},
{
"id": "52e2e9d8-57cd-4212-9670-57bcb9bd23f5",
"tradename": "SIN_TRADENAME",
"status": "PENDING",
"registerDate": "2026-06-24T13:59:52.842427",
"lastAccess": "2026-06-24T13:59:52.842427",
"identificationType": "CC",
"identificationNro": "1000000002",
"contactData": [],
"metadata": []
},
{
"id": "ad670255-4909-4aef-82da-bd7301126e60",
"tradename": "SIN_TRADENAME",
"status": "PENDING",
"registerDate": "2026-06-25T11:42:33.929052",
"lastAccess": "2026-06-25T11:42:33.929052",
"identificationType": "CC",
"identificationNro": "1000000003",
"contactData": [],
"metadata": []
},
{
"id": "56cd53ac-9d03-412b-a526-71fe19e3690c",
"tradename": "SIN_TRADENAME",
"status": "PENDING",
"registerDate": "2026-06-30T09:34:22.529364",
"lastAccess": "2026-06-30T09:34:22.529364",
"identificationType": "NIT",
"identificationNro": "1000000004",
"contactData": [],
"metadata": []
},
{
"id": "e42a107c-53d8-4950-8458-9a76da866572",
"tradename": "SIN_TRADENAME",
"status": "PENDING",
"registerDate": "2026-07-02T00:12:30.347936",
"lastAccess": "2026-07-02T00:12:30.347936",
"identificationType": "CC",
"identificationNro": "1000000005",
"contactData": [],
"metadata": []
},
{
"id": "ed0e63ed-de0a-4db7-8048-3648090d21d2",
"tradename": "SIN_TRADENAME",
"status": "APPROVED",
"registerDate": "2026-06-30T23:13:21.236939",
"lastAccess": "2026-06-30T23:13:21.236939",
"identificationType": "CC",
"identificationNro": "1000000006",
"contactData": [],
"metadata": [
{
"name": "TERMS VERSION",
"value": "2.0.0"
},
{
"name": "POLICY VERSION",
"value": "1.0.0"
}
]
}
],
"total": 8,
"page": null,
"pageSize": null,
"orderBy": null,
"orderDirection": null
}
